xTuple.com xTupleU Blog & News Customer Support

xTuple Connect 3.10.0 is now available

xTConnect 3.10.0 is now available for download from the xTuple Customer Portal. Thanks to all who contributed to make this release possible.

The main focus for version 3.10.0 was to remove the dependency on the Trojita email client and replace it with a new email sync mechanism which runs entirely within the xTuple ERP desktop client application. In this new version, xTuple Connect now supports email sync with various email providers such as Gmail and Office365.

Advantages of the new email sync mechanism include the following:

  • It’s easier to install — all extension code and no external binaries.
  • It’s easier to configure — all of the configuration is in one place, not three
  • Configuration and cache is stored in the database, which has several advantages.
    • You don’t need to log in to the application from your personal machine for sync to work.
    • There’s a much lower chance of cross-database contamination, where messages get loaded into the wrong database.
    • Easy for an administrator to manage.

xTuple Connect also continues to be used for basic and advanced EDI to electronically send and receive files for documents such as A/R Statements, Purchase Orders, Quotes, Sales Orders, and A/R Credit Memos.

For more details about the installation process, setup and configuration, how the email integration works, basic and advanced EDI capabilities, and more, please read the updated xTuple Connect Product Guide.

You can also access a PDF version of the xTuple Connect Product Guide with the xTConnect product download on the Customer Portal.

Important Note - If you have enabled two-factor authentication in Gmail you must create an application-specific password to use with xTuple Connect. Additionally, some configurations in Gmail may require you to enable the option to “allow less secure apps” before using your account with Connect.

Note: In addition to the bug fixes listed for xTConnect, there was a change in the core xTuple for 6.0.0-beta. Therefore, if you are using xTuple version 6.0.0-beta, it is only compatible with xtconnect 3.10.0-rc or newer (will not work with 3.10.0-beta or older). That said, xtconnect 3.10.0 works with older versions as far back as 4.12.x.